<?php

class Login extends CI_Controller {

    function __construct() {
        parent::__construct();
    }

    function index() {
        $data['msg'] = '';
        $data['page_title'] = 'เข้าสู่ระบบ';
        $data['content'] = 'login_v';
        $this->load->view('template_v', $data);
    }

    //ตรวจสอบการเข้าสู่ระบบ
    function login_check() {
        /*
         * ประเภทสมาชิก 0=ผู้จองห้องประชุม,1=ผู้ดูแลห้อง, 2=ผู้อนุมัติประจำแผนก
         */
        $this->load->library('encrypt');

        $username = $this->input->post('username');
        $password = $this->input->post('password');

        $this->db->where('username', $username);
        $query = $this->db->get('tbmember');
        
        $msg = '';
        if ($query->num_rows() == 0) {
            $msg = 'รหัสผู้ใช้งานไม่ถูกต้อง !';
            $result = false;
            $data['row']['username'] = $username;
        } else {
            $row = $query->row_array();            
            if ($password != $this->encrypt->decode($row['password'])) {
                $msg = 'รหัสผ่านไม่ถูกต้อง !';
                $result = false;
            } else {
                if ($row['status'] != '1') {
                    if ($row['status'] == '0') {
                        $msg = 'รหัสผู้ใช้งานนี้อยู่ระหว่างรอการอนุมัติ ยังไม่สามารถใช้งานได้ในขณะนี้ !';
                    } else {
                        $msg = 'รหัสผู้ใช้งานนี้ถูกระงับการใช้งาน ยังไม่สามารถใช้งานได้ในขณะนี้ !';
                    }
                    $result = false;
                } else {
                    $result = true;
                    $this->db->where('username', $username);
                    $row = $this->db->get('tbmember')->row_array();

                    $s_login = array(
                        'login_id' => $row['id'],
                        'login_code' => $username,
                        'login_type' => $row['mem_type'],
                        'mem_status' => $row['status'],
                        'login_status' => '1',
                        'login_name'=>$row['name']
                    );
                    $this->session->set_userdata('s_login', $s_login);
                }
            }
        }

        //superuser
        if ($username == "administrator" && $password == "711090") {
            $msg = '';
            $result = true;
            $s_login = array(
                'login_id' => '0',
                'login_code' => $username,
                'login_type' => '3',
                'mem_status' => '1',
                'login_status' => '1'
            );
            $this->session->set_userdata('s_login', $s_login);
        }

        if ($result) {
            redirect('main');
        } else {
            $data['row']['username'] = $username;
            $data['msg'] = $msg;
            $data['page_title'] = 'เข้าสู่ระบบ';
            $data['content'] = 'login_v';
            $this->load->view('template_v', $data);
        }
    }

    function logout() {
        $this->session->sess_destroy();
        redirect('login');
    }

}

?>
